import ts from 'typescript';
export declare class DynamodbPrimitiveType {
    readonly kind: DynamodbPrimitiveTypeKinds;
    private readonly flag;
    constructor(kind: DynamodbPrimitiveTypeKinds, flag: number);
    isBigInt(): boolean;
}
export declare enum DynamodbPrimitiveTypeKinds {
    String = "S",
    Number = "N",
    Boolean = "BOOL",
    Null = "NULL",
    Binary = "B"
}
export declare enum DynamodbPrimitiveTypeFlags {
    NA = 0,
    BigInt = 1
}
export declare function dynamodbPrimitiveTypeFromTypeFlag(flag: ts.TypeFlags | undefined): DynamodbPrimitiveType | undefined;
export declare function dynamodbPrimitiveTypeFromName(typeName: string | undefined): DynamodbPrimitiveType | undefined;
export interface DynamodbPrimitiveValueToJSValueConvertingOp {
    leftOp: string;
    rightOp: string;
}
export declare function dynamodbPrimitiveValueToJSValueConvertingOp(primitiveType: DynamodbPrimitiveType): DynamodbPrimitiveValueToJSValueConvertingOp;
